Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.spi
Class ValidationResult

    java.lang.Object
      |
      +--com.bea.adapter.spi.ValidationResult

public class ValidationResult
extends java.lang.Object

Encapsulates information about a validation check; such as checking if a license is valid.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static ValidationResult` | `INVALID` Indicates an invalid result; no additional information available.
`static ValidationResult` | `VALID` Indicates a valid result; no additional information available.

Constructor Summary
`ValidationResult()`
`ValidationResult(boolean bIsValid)`
`ValidationResult(boolean bIsValid, java.lang.Object[] astrAdditionalInfo)`

Method Summary
`java.lang.Object[]` | `getAdditionalInfo()`
`boolean` | `isValid()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VALID

    public static final ValidationResult VALID

  Indicates a valid result; no additional information available.

### INVALID

    public static final ValidationResult INVALID

  Indicates an invalid result; no additional information available.

Constructor Detail

### ValidationResult

    public ValidationResult()

### ValidationResult

    public ValidationResult(boolean bIsValid)

### ValidationResult

    public ValidationResult(boolean bIsValid,
                            java.lang.Object[] astrAdditionalInfo)

Method Detail

### getAdditionalInfo

    public java.lang.Object[] getAdditionalInfo()

### isValid

    public boolean isValid()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)